> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment batch alerts

> Retrieve paginated list of all payment batch alerts filtered using the query parameters.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json get /payment-batches/{paymentBatchId}/alerts
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}/alerts:
    get:
      tags:
        - Payment Batches
      summary: List payment batch alerts
      description: >-
        Retrieve paginated list of all payment batch alerts filtered using the
        query parameters.
      operationId: findAllPaymentBatchAlerts
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: sort
          in: query
          schema:
            description: >-
              Determines whether the page of items are sorted in ascending or
              descending order.
            default: desc
            type:
              - string
            enum:
              - asc
              - desc
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: from
          in: query
          schema:
            type:
              - string
            format: date-time
        - name: to
          in: query
          schema:
            type:
              - string
            format: date-time
        - name: alertType
          in: query
          schema:
            type:
              - string
            enum:
              - Error
              - Warning
        - name: alertCode
          in: query
          schema:
            type:
              - string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        timestamp:
                          type:
                            - string
                          format: date-time
                        type:
                          type:
                            - string
                          enum:
                            - Error
                            - Warning
                        code:
                          type:
                            - string
                        inputIndex:
                          type:
                            - integer
                            - 'null'
                        message:
                          type:
                            - string
                            - 'null'
                      required:
                        - timestamp
                        - type
                        - code
                        - inputIndex
                        - message
                    description: Array of all alerts for payment batch.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - timestamp: '2019-08-24T14:15:22Z'
                      type: Error
                      code: string
                      inputIndex: 0
                      message: string
      security:
        - CommonAuth:
            - payment-batches:read:any
            - payment-batches:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/alerts?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````